﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;


namespace Services
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "ISampleWcfService" in both code and config file together.
    [ServiceContract]
    public interface ISampleWcfService
    {
        //[WebGet(UriTemplate = "students", ResponseFormat = WebMessageFormat.Json)]
        //[WebInvoke(Method = "GET", ResponseFormat = WebMessageFormat.Json, UriTemplate = "students")]
        [WebGet(ResponseFormat = WebMessageFormat.Json, UriTemplate = "students")]
        [OperationContract]
        Student GetStudent();

    }
    [DataContract]
    public class Student
    {
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public int Age { get; set; }
        [DataMember]
        public DateTime DateOfBirth { get; set; }
    }
}
